# DAVecGetArray

Returns a multiple dimension array that shares data with the underlying vector and is indexed using the global dimensions.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAVecGetArray(DA da,Vec vec,void *array)

Not Collective

### Input Parameter

| da | - the distributed array
| vec | - the vector, either a vector the same size as one obtained with DACreateGlobalVector() or DACreateLocalVector()

### Output Parameter

array -the array

### Notes

Call DAVecRestoreArray() once you have finished accessing the vector entries.

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DAGetGhostCorners(), DAGetCorners(), VecGetArray(), VecRestoreArray(), DAVecRestoreArray(), DAVecRestoreArrayDOF()
DAVecGetarrayDOF()

Level:intermediate
Location:src/dm/da/src/dagetarray.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html